package com.bocloud.cmp.model.hmc.sdk.module;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class LogicalPartition {
    private Metadata metadata;
    private String allowPerformanceDataCollection;
    private AssociatedPartitionProfile associatedPartitionProfile;
    private String availabilityPriority;
    private String currentAllocatedBarrierSynchronizationRegisterArrays;
    private String currentProcessorCompatibilityMode;
    private String currentProfileSync;
    private String isConnectionMonitoringEnabled;
    private String isOperationInProgress;
    private String isRedundantErrorPathReportingEnabled;
    private String isVirtualServiceAttentionLEDOn;
    private String keylockPosition;
    private String logicalSerialNumber;
    private String operatingSystemVersion;
    private PartitionCapabilities partitionCapabilities;
    private String partitionID;
    private PartitionIOConfiguration partitionIOConfiguration;
    private PartitionMemoryConfiguration partitionMemoryConfiguration;
    private String partitionName;
    private PartitionProcessorConfiguration partitionProcessorConfiguration;
    private PartitionProfiles partitionProfiles;
    private String partitionState;
    private String partitionType;
    private String partitionUUID;
    private String pendingProcessorCompatibilityMode;
    private ProcessorPool processorPool;
    private String progressState;
    private String resourceMonitoringControlState;
    private String resourceMonitoringIPAddress;
    private AssociatedManagedSystem associatedManagedSystem;
    private ClientNetworkAdapters clientNetworkAdapters;
    private HostEthernetAdapterLogicalPorts hostEthernetAdapterLogicalPorts;
    private String isServicePartition;
    private String referenceCode;
    private AssignAllResources assignAllResources;
    private PowerOnWithHypervisor powerOnWithHypervisor;
    private String remoteRestartCapable;
    private SimplifiedRemoteRestartCapable simplifiedRemoteRestartCapable;
    private String hasDedicatedProcessorsForMigration;
    private String suspendCapable;
    private String remoteRestartState;
    private VirtualSCSIClientAdapters VirtualSCSIClientAdapters;

    public LogicalPartition() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public AssociatedPartitionProfile getAssociatedPartitionProfile() {
        return associatedPartitionProfile;
    }

    public void setAssociatedPartitionProfile(AssociatedPartitionProfile associatedPartitionProfile) {
        this.associatedPartitionProfile = associatedPartitionProfile;
    }

    public String getAllowPerformanceDataCollection() {
        return allowPerformanceDataCollection;
    }

    public void setAllowPerformanceDataCollection(String allowPerformanceDataCollection) {
        this.allowPerformanceDataCollection = allowPerformanceDataCollection;
    }

    public String getAvailabilityPriority() {
        return availabilityPriority;
    }

    public void setAvailabilityPriority(String availabilityPriority) {
        this.availabilityPriority = availabilityPriority;
    }

    public String getCurrentAllocatedBarrierSynchronizationRegisterArrays() {
        return currentAllocatedBarrierSynchronizationRegisterArrays;
    }

    public void setCurrentAllocatedBarrierSynchronizationRegisterArrays(
        String currentAllocatedBarrierSynchronizationRegisterArrays) {
        this.currentAllocatedBarrierSynchronizationRegisterArrays = currentAllocatedBarrierSynchronizationRegisterArrays;
    }

    public String getCurrentProcessorCompatibilityMode() {
        return currentProcessorCompatibilityMode;
    }

    public void setCurrentProcessorCompatibilityMode(String currentProcessorCompatibilityMode) {
        this.currentProcessorCompatibilityMode = currentProcessorCompatibilityMode;
    }

    public String getCurrentProfileSync() {
        return currentProfileSync;
    }

    public void setCurrentProfileSync(String currentProfileSync) {
        this.currentProfileSync = currentProfileSync;
    }

    public String getIsConnectionMonitoringEnabled() {
        return isConnectionMonitoringEnabled;
    }

    public void setIsConnectionMonitoringEnabled(String isConnectionMonitoringEnabled) {
        this.isConnectionMonitoringEnabled = isConnectionMonitoringEnabled;
    }

    public String getIsOperationInProgress() {
        return isOperationInProgress;
    }

    public void setIsOperationInProgress(String isOperationInProgress) {
        this.isOperationInProgress = isOperationInProgress;
    }

    public String getIsRedundantErrorPathReportingEnabled() {
        return isRedundantErrorPathReportingEnabled;
    }

    public void setIsRedundantErrorPathReportingEnabled(String isRedundantErrorPathReportingEnabled) {
        this.isRedundantErrorPathReportingEnabled = isRedundantErrorPathReportingEnabled;
    }

    public String getIsVirtualServiceAttentionLEDOn() {
        return isVirtualServiceAttentionLEDOn;
    }

    public void setIsVirtualServiceAttentionLEDOn(String isVirtualServiceAttentionLEDOn) {
        this.isVirtualServiceAttentionLEDOn = isVirtualServiceAttentionLEDOn;
    }

    public String getKeylockPosition() {
        return keylockPosition;
    }

    public void setKeylockPosition(String keylockPosition) {
        this.keylockPosition = keylockPosition;
    }

    public String getLogicalSerialNumber() {
        return logicalSerialNumber;
    }

    public void setLogicalSerialNumber(String logicalSerialNumber) {
        this.logicalSerialNumber = logicalSerialNumber;
    }

    public String getOperatingSystemVersion() {
        return operatingSystemVersion;
    }

    public void setOperatingSystemVersion(String operatingSystemVersion) {
        this.operatingSystemVersion = operatingSystemVersion;
    }

    public PartitionCapabilities getPartitionCapabilities() {
        return partitionCapabilities;
    }

    public void setPartitionCapabilities(PartitionCapabilities partitionCapabilities) {
        this.partitionCapabilities = partitionCapabilities;
    }

    public String getPartitionID() {
        return partitionID;
    }

    public void setPartitionID(String partitionID) {
        this.partitionID = partitionID;
    }

    public PartitionIOConfiguration getPartitionIOConfiguration() {
        return partitionIOConfiguration;
    }

    public void setPartitionIOConfiguration(PartitionIOConfiguration partitionIOConfiguration) {
        this.partitionIOConfiguration = partitionIOConfiguration;
    }

    public PartitionMemoryConfiguration getPartitionMemoryConfiguration() {
        return partitionMemoryConfiguration;
    }

    public void setPartitionMemoryConfiguration(PartitionMemoryConfiguration partitionMemoryConfiguration) {
        this.partitionMemoryConfiguration = partitionMemoryConfiguration;
    }

    public String getPartitionName() {
        return partitionName;
    }

    public void setPartitionName(String partitionName) {
        this.partitionName = partitionName;
    }

    public PartitionProcessorConfiguration getPartitionProcessorConfiguration() {
        return partitionProcessorConfiguration;
    }

    public void setPartitionProcessorConfiguration(PartitionProcessorConfiguration partitionProcessorConfiguration) {
        this.partitionProcessorConfiguration = partitionProcessorConfiguration;
    }

    public PartitionProfiles getPartitionProfiles() {
        return partitionProfiles;
    }

    public void setPartitionProfiles(PartitionProfiles partitionProfiles) {
        this.partitionProfiles = partitionProfiles;
    }

    public String getPartitionState() {
        return partitionState;
    }

    public void setPartitionState(String partitionState) {
        this.partitionState = partitionState;
    }

    public String getPartitionType() {
        return partitionType;
    }

    public void setPartitionType(String partitionType) {
        this.partitionType = partitionType;
    }

    public String getPartitionUUID() {
        return partitionUUID;
    }

    public void setPartitionUUID(String partitionUUID) {
        this.partitionUUID = partitionUUID;
    }

    public String getPendingProcessorCompatibilityMode() {
        return pendingProcessorCompatibilityMode;
    }

    public void setPendingProcessorCompatibilityMode(String pendingProcessorCompatibilityMode) {
        this.pendingProcessorCompatibilityMode = pendingProcessorCompatibilityMode;
    }

    public ProcessorPool getProcessorPool() {
        return processorPool;
    }

    public void setProcessorPool(ProcessorPool processorPool) {
        this.processorPool = processorPool;
    }

    public String getProgressState() {
        return progressState;
    }

    public void setProgressState(String progressState) {
        this.progressState = progressState;
    }

    public String getResourceMonitoringControlState() {
        return resourceMonitoringControlState;
    }

    public void setResourceMonitoringControlState(String resourceMonitoringControlState) {
        this.resourceMonitoringControlState = resourceMonitoringControlState;
    }

    public String getResourceMonitoringIPAddress() {
        return resourceMonitoringIPAddress;
    }

    public void setResourceMonitoringIPAddress(String resourceMonitoringIPAddress) {
        this.resourceMonitoringIPAddress = resourceMonitoringIPAddress;
    }

    public AssociatedManagedSystem getAssociatedManagedSystem() {
        return associatedManagedSystem;
    }

    public void setAssociatedManagedSystem(AssociatedManagedSystem associatedManagedSystem) {
        this.associatedManagedSystem = associatedManagedSystem;
    }

    public HostEthernetAdapterLogicalPorts getHostEthernetAdapterLogicalPorts() {
        return hostEthernetAdapterLogicalPorts;
    }

    public void setHostEthernetAdapterLogicalPorts(HostEthernetAdapterLogicalPorts hostEthernetAdapterLogicalPorts) {
        this.hostEthernetAdapterLogicalPorts = hostEthernetAdapterLogicalPorts;
    }

    public String getIsServicePartition() {
        return isServicePartition;
    }

    public void setIsServicePartition(String isServicePartition) {
        this.isServicePartition = isServicePartition;
    }

    public String getReferenceCode() {
        return referenceCode;
    }

    public void setReferenceCode(String referenceCode) {
        this.referenceCode = referenceCode;
    }

    public PowerOnWithHypervisor getPowerOnWithHypervisor() {
        return powerOnWithHypervisor;
    }

    public void setPowerOnWithHypervisor(PowerOnWithHypervisor powerOnWithHypervisor) {
        this.powerOnWithHypervisor = powerOnWithHypervisor;
    }

    public String getRemoteRestartCapable() {
        return remoteRestartCapable;
    }

    public void setRemoteRestartCapable(String remoteRestartCapable) {
        this.remoteRestartCapable = remoteRestartCapable;
    }

    public SimplifiedRemoteRestartCapable getSimplifiedRemoteRestartCapable() {
        return simplifiedRemoteRestartCapable;
    }

    public void setSimplifiedRemoteRestartCapable(SimplifiedRemoteRestartCapable simplifiedRemoteRestartCapable) {
        this.simplifiedRemoteRestartCapable = simplifiedRemoteRestartCapable;
    }

    public String getHasDedicatedProcessorsForMigration() {
        return hasDedicatedProcessorsForMigration;
    }

    public void setHasDedicatedProcessorsForMigration(String hasDedicatedProcessorsForMigration) {
        this.hasDedicatedProcessorsForMigration = hasDedicatedProcessorsForMigration;
    }

    public String getSuspendCapable() {
        return suspendCapable;
    }

    public void setSuspendCapable(String suspendCapable) {
        this.suspendCapable = suspendCapable;
    }

    public String getRemoteRestartState() {
        return remoteRestartState;
    }

    public void setRemoteRestartState(String remoteRestartState) {
        this.remoteRestartState = remoteRestartState;
    }

    public ClientNetworkAdapters getClientNetworkAdapters() {
        return clientNetworkAdapters;
    }

    public void setClientNetworkAdapters(ClientNetworkAdapters clientNetworkAdapters) {
        this.clientNetworkAdapters = clientNetworkAdapters;
    }

    public VirtualSCSIClientAdapters getVirtualSCSIClientAdapters() {
        return VirtualSCSIClientAdapters;
    }

    public void setVirtualSCSIClientAdapters(VirtualSCSIClientAdapters virtualSCSIClientAdapters) {
        VirtualSCSIClientAdapters = virtualSCSIClientAdapters;
    }

    public AssignAllResources getAssignAllResources() {
        return assignAllResources;
    }

    public void setAssignAllResources(AssignAllResources assignAllResources) {
        this.assignAllResources = assignAllResources;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this, true);
    }
}
